Create Conversation Message

Version 4.0.26.4 (latest)

Create Conversation Message

Create one or more conversation messages. Required fields for each message: type, message.

The order for a message will be determined based on the highest order for previously saved messages for the provided conversation_id.

Request

POST /conversations/{conversation_id}/messages
Datatype
Description
Request
HTTP Request
path
HTTP Path
Expand HTTP Path definition...
conversation_id
string
Conversation ID
body
HTTP Body
Expand HTTP Body definition...
body
Conversation messages to create
Expand WriteConversationMessages definition...
messages
any[]
query
HTTP Query
Expand HTTP Query definition...
fields
string
Requested fields

Response

200: conversation messages

Datatype
Description
can
object
Operations the current user is able to perform on this object
id
string
Message unique identifier
message
object
Message content
type
string
Message type
order
integer
Message order

400: Bad Request

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

404: Not Found

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

409: Resource Already Exists

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

422: Validation Error

Datatype
Description
(object)
message
string
Error details
Expand ValidationErrorDetail definition...
field
string
Field with error
code
string
Error code
message
string
Error info message
documentation_url
string
Documentation link
documentation_url
string
Documentation link

429: Too Many Requests

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link